Retrieve Expected Rack Group
Retrieve a specific Expected Rack Group by its id.
Org must have an Infrastructure Provider entity. User must have authorization role with PROVIDER_ADMIN or PROVIDER_VIEWER suffix.
Alternatively, Tenant Admins with TargetedInstanceCreation capability can also retrieve Expected Rack Groups if they have an account with the Site’s Infrastructure Provider.
Authentication
export JWT_BEARER_TOKEN="<jwt-bearer-token>"
# Example org name: "acme-inc
export ORG_NAME=<org-name>
# Use the JWT bearer token in your API request auth header:
curl -v -X GET -H "Content-Type: application/json" -H "Authorization: Bearer $JWT_BEARER_TOKEN" https://nico-rest-api.nico.svc.cluster.local/v2/org/$ORG_NAME/nico/user/current
Path parameters
Query parameters
Response
Unique identifier (UUID) for the Expected Rack Group
Operator-supplied identifier for the rack group (opaque string; UUID syntax is not required). Unique within a Site.
Site details when requested through includeRelation; otherwise null.
External group-level NVLink topology identifier.
Ordered racks and their devices. Arrays are always present, including empty lists. Rack IDs and device identity tuples are unique across the group, with case-sensitive comparison.
Human-readable name of the Expected Rack Group
Human-readable description of the Expected Rack Group
User-defined key-value pairs for organizing and categorizing Expected Rack Groups. Well-known keys (chassis.*, location.*) are used to convey chassis identity and physical location.